Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface Slot

public interface Slot

Slot instances provide a dynamic way to add arbitrary attributes to RegistryObject instances. This ability to add attributes dynamically to RegistryObject instances enables extensibility within the Registry Information Model.

A RegistryObject may have 0 or more Slots. A slot is composed of a name, a slotType and a collection of values. The name of a slot is locally unique within the RegistryObject instance. Similarly, the value of a Slot is locally unique within a slot instance. Since a Slot represents an extensible attribute whose value may be a collection, a Slot is allowed to have a collection of values rather than a single value. The slotType attribute may optionally specify a type or category for the slot.

Author:
  Farrukh S. Najmi
See Also:
  `ExtensibleObject`

Field Summary
`static java.lang.String` | `ADDRESS_LINES_SLOT` Name for pre-defined Slot used in PostalAddress by JAXR UDDI provider.
`static java.lang.String` | `AUTHORIZED_NAME_SLOT` Name for pre-defined Slot used in Organization and ClassificationScheme by JAXR UDDI provider.
`static java.lang.String` | `OPERATOR_SLOT` Name for pre-defined Slot used in Organization and ClassificationScheme by JAXR UDDI provider.
`static java.lang.String` | `SORT_CODE_SLOT` Name for pre-defined Slot used in PostalAddress by JAXR UDDI provider.

Method Summary
`java.lang.String` | `getName()` Gets the name for this Slot.
`java.lang.String` | `getSlotType()` Gets the slotType for this Slot.
`java.util.Collection` | `getValues()` Gets the values for this Slot.
`void` | `setName(java.lang.String name)` Sets the name for this Slot.
`void` | `setSlotType(java.lang.String slotType)` Sets the slotType for this Slot.
`void` | `setValues(java.util.Collection values)` Sets the values for this Slot.

Field Detail

### SORT_CODE_SLOT

    public static final java.lang.String SORT_CODE_SLOT

  Name for pre-defined Slot used in PostalAddress by JAXR UDDI provider.

  See Also:
    Constant Field Values

### ADDRESS_LINES_SLOT

    public static final java.lang.String ADDRESS_LINES_SLOT

  Name for pre-defined Slot used in PostalAddress by JAXR UDDI provider.

  See Also:
    Constant Field Values

### AUTHORIZED_NAME_SLOT

    public static final java.lang.String AUTHORIZED_NAME_SLOT

  Name for pre-defined Slot used in Organization and ClassificationScheme by JAXR UDDI provider.

  See Also:
    Constant Field Values

### OPERATOR_SLOT

    public static final java.lang.String OPERATOR_SLOT

  Name for pre-defined Slot used in Organization and ClassificationScheme by JAXR UDDI provider.

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()
                             throws JAXRException

  Gets the name for this Slot. Default is a NULL String.

  Capability Level: 0

  Returns:
    the name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setName

    public void setName(java.lang.String name)
                 throws JAXRException

  Sets the name for this Slot. Default is a NULL String.

  Capability Level: 0

  Parameters:
    `name` - the name
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getSlotType

    public java.lang.String getSlotType()
                                 throws JAXRException

  Gets the slotType for this Slot. Default is a NULL String.

  Capability Level: 0

  Returns:
    the slot type which is an arbitrary String
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setSlotType

    public void setSlotType(java.lang.String slotType)
                     throws JAXRException

  Sets the slotType for this Slot.

  Capability Level: 0

  Parameters:
    `slotType` - the slot type which is an arbitrary String
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getValues

    public java.util.Collection getValues()
                                   throws JAXRException

  Gets the values for this Slot.

  Capability Level: 0

  Returns:
    Collection of String instances representing the values for this Slot. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error
  See Also:
    `String`

### setValues

    public void setValues(java.util.Collection values)
                   throws JAXRException

  Sets the values for this Slot.

  Capability Level: 0

  Parameters:
    `values` - the values for this Slot
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.